#pragma once

#include <drivers/idt/isr.h>
#include <drivers/terminal/terminal.h>
#include <std/util.h>
#include <std/string.h>

#define KBD_BUF_SIZE 256

int keyboard_init(void);
u8 keyboard_enabled(void);
unsigned char keyboard_get_key_from_scancode(unsigned char scancode);
