#pragma once


#include <types.h>

typedef struct {
    u8 *address;
    u32 width;
    u32 height;
    u32 depth;
    u32 pitch;
    u32 pixelwidth;
} framebuffer_t;

void putpixel(framebuffer_t *framebuffer, u16 x, u16 y, u32 color);
void fillrect(framebuffer_t *framebuffer, u16 x, u16 y, u16 w, u16 h, u32 color);
