#pragma once

#include <stdbool.h>
#include <types.h>

#define MEM_BLOCK_LIST_SIZE 8192
#define MEM_BLOCK_INCREASE_SIZE 4

struct mem_block {
    bool is_used;
    bool is_end;
    usize size;
    usize addr;
};

void* malloc(usize size);
void mem_populate_blocks(usize starting_addr);
bool mem_test_mm();
