#pragma once

struct device {
    void* (*write)(void* data);
    void* (*read)(void* data);
};

int push_device(struct device device);

void* read(int descriptor, void* data);
void* write(int descriptor, void* data);
