#pragma once

#define COMMAND_REGISTER_SIZE 128
#define SHELL_BUFFER_SIZE 1024

void shell_start(int kbfd);
void shell_register_basic_commands();
void shell_register_command_handler(const char *command, int fd_handler);

struct registered_command {
    const char* command;
    int fd_handler;
};

struct command_run_packet {
    const char* args;
};
